Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::actions::reverse_fn Struct Reference

## Description

Reversed the source range in-place.

Inheritance diagram for ranges::actions::reverse_fn:

## Synopsis of methods
constexpr action_closure< reverse_fn > | reverse {}

## Public Member Functions
template<typename Rng >
Rng | operator() (Rng &&rng) const

## Methods

## ◆ reverse

constexpr action_closure<reverse_fn> reverse {}
| related

See also
  action_closure

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

Rng ranges::actions::reverse_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  requires `bidirectional_range<Rng> && permutable<iterator_t<Rng>>`